Bug 1654240

Summary: CVE-2018-11766 hadoop: Privilege escalation to root (Incomplete fix for CVE-2016-6811) [fedora-all]
Product: [Fedora] Fedora Reporter: Andrej Nemec <anemec>
Component: hadoopAssignee: Christopher Tubbs <ctubbsii>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 29CC: ctubbsii, denis.arnaud_fedora, milleruntime
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-10 23:19:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1654239    

Description Andrej Nemec 2018-11-28 10:18:28 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2018-11-28 10:18:32 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1654239,1654240

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Mike Miller 2018-11-29 18:01:43 UTC
ctubbsii@fedoraproject.org was this fixed with the patch you made in https://src.fedoraproject.org/rpms/hadoop/c/7367791e916b8770b2e422c70309502df554042c?branch=master ?  The CVE number is different from this one but I tried to update to 2.7.7 and the build patch failed with conflicts in similar files.

Comment 3 Christopher Tubbs 2018-11-29 21:47:07 UTC
This issue was not fixed with that commit. That commit fixed a different issue which may have been fixed in 2.7.7. See #1597446 and #1593020

Comment 4 Fedora Update System 2018-11-30 23:44:42 UTC
hadoop-2.7.7-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-beec9e3fda

Comment 5 Fedora Update System 2018-11-30 23:44:50 UTC
hadoop-2.7.7-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f1f44e4c6d

Comment 6 Fedora Update System 2018-12-01 01:38:57 UTC
hadoop-2.7.7-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f1f44e4c6d

Comment 7 Fedora Update System 2018-12-01 02:44:07 UTC
hadoop-2.7.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-beec9e3fda

Comment 8 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.